com.creamtec.ajaxswing

## Class JVMProcess

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteServer
    - - java.rmi.server.UnicastRemoteObject
      - - com.creamtec.ajaxswing.JVMProcess

- All Implemented Interfaces:
    JVMProcessRemote, java.io.Serializable, java.rmi.Remote, java.rmi.server.Unreferenced

      public class JVMProcess
      extends java.rmi.server.UnicastRemoteObject
      implements JVMProcessRemote, java.rmi.server.Unreferenced

  Represents a standalone JVM process. The main method of this class is called by the startup script to initialize the JVM.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVMProcess(java.lang.String appName, int rmiPort)` Initializes an instance and registers it with the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientAgentRemote` | `createClientAgent(java.lang.String agentName)` Creates a new client agent with the given name.
    `static JVMProcess` | `getInstance()` Returns the instance representing this JVM
    `static void` | `main(java.lang.String[] args)` JVM Process entry point.
    `void` | `ping()` Renews a lease on the agent.
    `void` | `shutdown()` Terminates the JVM by calling System.exit.
    `void` | `shutdownClientAgent(ClientAgentRemote clientAgent)` Shuts down the given client agent.
    `void` | `unreferenced()` Called by RMI runtime if the factory got shutdown

    - ### Methods inherited from class java.rmi.server.UnicastRemoteObject

      `clone, exportObject, exportObject, exportObject, unexportObject`

    - ### Methods inherited from class java.rmi.server.RemoteServer

      `getClientHost, getLog, setLog`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JVMProcess

          public JVMProcess(java.lang.String appName,
                    int rmiPort)
                     throws java.lang.Exception

      Initializes an instance and registers it with the factory.
      Parameters:
        `appName` - name of the application whose agents will execute in this JVM.
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### createClientAgent

          public ClientAgentRemote createClientAgent(java.lang.String agentName)
                                              throws java.lang.Exception

      Creates a new client agent with the given name. Instantiates ClientAgentImpl
      Specified by:
        `createClientAgent` in interface `JVMProcessRemote`
      Parameters:
        `agentName` - agent name
      Returns:
        client agent remote interface
      Throws:
        `java.lang.Exception`

    - #### shutdownClientAgent

          public void shutdownClientAgent(ClientAgentRemote clientAgent)

      Shuts down the given client agent. Currently not used because agent's shutdown method is called directly.
      Specified by:
        `shutdownClientAgent` in interface `JVMProcessRemote`
      Parameters:
        `clientAgent` - ClientAgentRemote

    - #### shutdown

          public void shutdown()

      Terminates the JVM by calling System.exit.
      Specified by:
        `shutdown` in interface `JVMProcessRemote`

    - #### ping

          public void ping()

      Renews a lease on the agent. Used to keep warmedUp JVM running

    - #### getInstance

          public static JVMProcess getInstance()

      Returns the instance representing this JVM
      Returns:
        JVMProcess

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      JVM Process entry point.
      Throws:
        `java.lang.Exception`

    - #### unreferenced

          public void unreferenced()

      Called by RMI runtime if the factory got shutdown
      Specified by:
        `unreferenced` in interface `java.rmi.server.Unreferenced`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.